Skip to main content
GET
/
v0
/
plans
/
available
List Available Plans
curl --request GET \
  --url https://api.paygentic.io/v0/plans/available \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.paygentic.io/v0/plans/available"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.paygentic.io/v0/plans/available', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "plan_t9u0v1w2x3y4z5a6",
      "object": "plan",
      "billingCadence": "P1M",
      "billingInterval": "monthly",
      "createdAt": "2024-01-12T10:00:00Z",
      "currency": "USD",
      "defaultTaxCode": "eservice",
      "defaultTaxRate": 8.5,
      "description": "Claude API access with 500K tokens monthly allowance",
      "invoiceDisplayName": "LLM API Basic Plan",
      "merchantId": "org_b7c8d9e0f1g2h3i4",
      "name": "Basic Tier",
      "prices": [],
      "productId": "prod_j5k6l7m8n9o0p1q2",
      "taxBehavior": "exclusive",
      "updatedAt": "2024-01-12T10:00:00Z"
    }
  ],
  "pagination": {
    "limit": 10,
    "offset": 0,
    "total": 1
  }
}
{
"message": "The requested resource was not found",
"error": "not_found"
}
{
"message": "The requested resource was not found",
"error": "not_found"
}
{
"message": "The requested resource was not found",
"error": "not_found"
}
{
"message": "The requested resource was not found",
"error": "not_found"
}
{
"message": "The requested resource was not found",
"error": "not_found"
}

Authorizations

Authorization
string
header
required

API key authentication

Query Parameters

customerId
string
required

The customer to check subscriptions for. The merchant is derived from the customer record. Unique identifier for a customer

Pattern: ^cus_[a-zA-Z0-9]+$
productId
string

Optional filter by product ID Unique identifier for a product

Pattern: ^prod_[a-zA-Z0-9]+$

Optional search text to filter plan names (case-insensitive)

limit
integer
default:10

Number of plans to return

Required range: 1 <= x <= 100
offset
integer
default:0

Number of plans to skip

Required range: x >= 0

Response

List of available plans

data
object[]
pagination
object